Bug 960064 - Review Request: rubygem-lumberjack - A fast logging utility
Summary: Review Request: rubygem-lumberjack - A fast logging utility
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 960061
TreeView+ depends on / blocked
 
Reported: 2013-05-06 14:12 UTC by Anuj More
Modified: 2018-01-11 09:48 UTC (History)
5 users (show)

Fixed In Version: 1.0.12-1.fc28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-10 17:30:41 UTC
jstribny: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Anuj More 2013-05-06 14:12:09 UTC
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-lumberjack/rubygem-lumberjack.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-lumberjack/rubygem-lumberjack-1.0.3-1.fc19.src.rpm
Description: A simple, powerful, and very fast logging utility that can be a drop in replacement for Logger or ActiveSupport::BufferedLogger. Provides support for automatically rolling log files even with multiple processes writing the same log file.
Fedora Account System Username: anujmore

Comment 1 Anuj More 2013-05-06 14:13:06 UTC
Additionally, mock builds: 

http://anujmore.fedorapeople.org/pkgs/rubygem-lumberjack/mock-lumberjack-build.log
http://anujmore.fedorapeople.org/pkgs/rubygem-lumberjack/mock-lumberjack-screen.txt

rpmlint gives this:

rubygem-lumberjack.noarch: W: no-documentation
rubygem-lumberjack.src:49: W: macro-in-comment %gem_dir
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Josef Stribny 2013-05-06 14:45:06 UTC
I will take it for a review.

Comment 3 Josef Stribny 2013-05-07 09:49:50 UTC
* Move MIT_LICENSE file into the main package
* Requiring rspec-core seems to be redundant since you are already requiring the whole rspec

Otherwise the spec looks good, rpmlint doesn't complain and the package builds and runs. Please update the spec file accordingly so I can approve.

Comment 4 Vít Ondruch 2013-05-09 07:12:31 UTC
BTW the %{gem_instdir}/MIT_LICENSE should be marked by %doc macro.

And I have one additional note, Anuj have you verified that the gem works well without the VERSION file? It is sometime needed, so I am just asking, have not tested it myself in this particular case.

Comment 5 Anuj More 2013-05-09 18:14:54 UTC
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-lumberjack/rubygem-lumberjack.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-lumberjack/rubygem-lumberjack-1.0.3-2.fc19.src.rpm

Did as you asked.

Also, the macro in a comment has been fixed.

mock builds just fine. rpmlint doesn't complain: 3 packages and 0 specfiles checked; 0 errors, 0 warnings.

@vondruch: How do I verify that? Actually write a small program the uses the gem?

Comment 6 Josef Stribny 2013-05-10 08:48:15 UTC
Anuj,

you don't need to write programs to check it. Vit raised the issue because some gems allow you to get the version of the gem while running them e.g. something like `SomeGem::VERSION` and this could require the VERSION file, because it's the only place where the version is saved. What you need to check is therefore where and how the file is used in the source code.

Nevertheless I already check that for you - this file is needed only for .gemspec file that is used when building a new gem before releasing it. And this file is not a part of a distributed .gem package.

Apart from that, your srpm builds fine both in koji[1] and mock, installs and runs without any issues so I am APPROVING this package.


[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=5360352

Comment 7 Anuj More 2013-08-04 06:47:22 UTC
New Package SCM Request
=======================
Package Name: rubygem-lumberjack
Short Description: A simple, powerful, and very fast logging utility that can be a drop in replacement for Logger or ActiveSupport::BufferedLogger.
Owners: anujmore axilleas
Branches: f18 f19

Comment 8 Gwyn Ciesla 2013-08-05 12:20:00 UTC
Git done (by process-git-requests).

Comment 9 Vít Ondruch 2017-12-13 13:04:33 UTC
Hi guys, the repository was created, but the package itself was never imported. Could you please import the package?

Comment 10 Jaroslav Prokop 2018-01-10 17:30:41 UTC
Anuj assigned me as admin. I have imported and built the package.

Comment 11 Vít Ondruch 2018-01-11 09:48:02 UTC
Thank you guys!


Note You need to log in before you can comment on or make changes to this bug.